<template>
  <mdb-container id=form>
    <mdb-row class="justify-content-center">
      <mdb-col col="12" md="8" lg="6">
  <form id=cont novalidate @submit="checkForm">
    <h2 class="h1-responsive text-center mb-4">Write to us</h2>

    <!-- Default input name -->
    <label for="defaultFormContactNameEx" >Your name</label>
    <input type="text" id="defaultFormContactNameEx" class="form-control" v-model="username" required>

    <br>

    <!-- Default input email -->
    <label for="defaultFormContactEmailEx" >Your email</label>
    <input type="email" id="defaultFormContactEmailEx" class="form-control" v-model="email" required>

    <br>

    <!-- Default input subject -->
    <label for="defaultFormContactSubjectEx" >Subject</label>
    <input type="text" id="defaultFormContactSubjectEx" class="form-control" v-model="subject" required>

    <br>

    <!-- Default textarea message -->
    <label for="defaultFormContactMessageEx" >Your message</label>
    <textarea type="text" id="defaultFormContactMessageEx" class="form-control" rows="3" v-model="message" required></textarea>

    <div class="text-center mt-4">
        <button class="btn btn-outline-info" type="submit" @click="save">Send<i class="far fa-paper-plane ml-2"></i></button>
    </div>
    <div class="text-center" >
    <div class="spinner-border" role="status" v-if="sending">
    </div>
  </div>
  </form>
      </mdb-col>
    </mdb-row> 
  </mdb-container><!-- Default form contact -->
</template>
<script>
  import {mdbContainer, mdbRow, mdbCol} from 'mdbvue';
  import firebase from './firebase';
  export default {
    data(){
      return{
              username : null,
              email : null,
              subject : null,
              message : null,
              sending : false
      }
    },
    components: {
      mdbContainer,
      mdbRow,
      mdbCol
    },
    methods: {
      checkForm(event) {
        event.preventDefault();
        event.target.classList.add('was-validated');
      },
      save(){
        this.sending=true;
        if (this.username != null, this.email != null, this.subject != null, this.message != null){
        this.$http.post('https://mdb-drawill.firebaseio.com/contact.json', {username: this.username,email: this.email,subject: this.subject,message: this.message})
        .then((response)=>{
          console.log(response);
          alert("Your message has been sent");
          this.reset();
        })
        }
         else {
          alert("Please fill all the fields")
        }
        },
        reset(){
        Object.assign(this.$data, this.$options.data.apply(this));
      },
      },
    
  }
</script>

<style scoped>
#cont {
padding: 70px;
}
#form {
  background-color: #ff9d76;
  color: brown;
}

</style>
